<?php
# Przykład wywołania metody getConfigProfiles, umożliwiającej pobranie zdefiniowanych profili konfiguracyjnych
try{
	$sLogin = ""; // Login konta w Postivo.pl
	$sApiPass = ""; // Hasło dostępu do konta przez API

	$iMsgType = 1; // Typ przesyłki (1-przesyłka listowa, 2-Fax)
	
	// Utworzenie klienta SOAP:
	$client = new SoapClient("http://api.postivo.pl/webservices.php?wsdl");
	
	// Wywołanie metody getConfigProfiles z przekazaniem wszystkich parametrów
	$output = $client->getConfigProfiles($sLogin, $sApiPass, $iMsgType);

	// Przykład obsługi danych wyjściowych:
	echo "Status żądania: ".$output->result.", kod statusu żądania: ".$output->result_code.", opis statusu żądania: ".$output->result_description."<br />";
	for($i=0; $i<count($output->config_profiles); $i++)
	{
		echo "<br />".($i+1).". Nazwa konfiguracji: ".$output->config_profiles[$i]->config_name.", ID konfiguracji: ".$output->config_profiles[$i]->config_id.", Rodzaj papieru: ".$output->config_profiles[$i]->paper_type.", Wydruk dokumentów: ".$output->config_profiles[$i]->paper_print_type.", Rodzaj koperty: ".$output->config_profiles[$i]->envelope_type.", Nazwa szablonu koperty: ".$output->config_profiles[$i]->envelope_template.", Wydruk koperty: ".$output->config_profiles[$i]->envelope_print_type.", Operator pocztowy: ".$output->config_profiles[$i]->carrier.", Typ przesyłki: ".$output->config_profiles[$i]->dispatch_type;	
	}
}
catch(Exception $oE)
{
	// Obsluga bledu
	echo "Wystąpił błąd: ".$oE->getMessage();
}
?>