<?php
# Przykład wywołania metody getSenders, umożliwiającej pobranie listy zdefiniowanych nadawców przesyłek
try{
	$sLogin = ""; // Login konta w Postivo.pl
	$sApiPass = ""; // Hasło dostępu do konta przez API
	
	// Utworzenie klienta SOAP:
	$client = new SoapClient("http://api.postivo.pl/webservices.php?wsdl");
	
	// Wywołanie metody getSenders z przekazaniem wszystkich parametrów
	$output = $client->getSenders($sLogin, $sApiPass);
	
	// Przykład obsługi danych wyjściowych:
	echo "Status żądania: ".$output->result.", kod statusu żądania: ".$output->result_code.", opis statusu żądania: ".$output->result_description."<br />";
	for($i=0; $i<count($output->senders); $i++)
	{
		echo "<br />".($i+1).". ID nadawcy: ".$output->senders[$i]->sender_id.", Dane nadawcy: ".$output->senders[$i]->sender_name.", ".$output->senders[$i]->sender_address." ".$output->senders[$i]->sender_home_number."/".$output->senders[$i]->sender_flat_number.", ".$output->senders[$i]->sender_post_code." ".$output->senders[$i]->sender_city.", fax: ".$output->senders[$i]->sender_fax_number.". Nadawca domyślny: ".(($output->senders[$i]->default)? "tak" : "nie").", Nadawca aktywny: ".(($output->senders[$i]->active)? "tak" : "nie");
	}
}
catch(Exception $oE)
{
	// Obsluga bledu
	echo "Wystąpił błąd: ".$oE->getMessage();
}
?>